const axios=require('axios');
require('dotenv').config()

async function fetch() {
    let rsp = null;
    try {

	//TODO switch from Connect to Mobilithek
	const URL = process.env.URL || 'http://localhost:65535/fetch.bin';

	const config = {
	    responseType: 'arraybuffer'
	    //responseType: 'blob'
	};

	rsp = await axios.get(URL, config);
	if (rsp === null || rsp === undefined) {
	    console.error('ERROR: fetch(): rsp NOT available');
	//} else {
	    //NOTE: Use byteLength to check the size
	    //const bytes = rsp.data.byteLength;
	    //console.log('fetch:fetch() rsp length in bytes: ' + bytes);
	}
	    
	    
    } catch (err) {
	console.error('ERROR: fetch:fetch(): ', err.message);
    }
    return rsp.data;
};

module.exports={
    fetch
};
